<!doctype html>  
<!--[if IE 6 ]><html lang="en-us" class="ie6"> <![endif]-->
<!--[if IE 7 ]><html lang="en-us" class="ie7"> <![endif]-->
<!--[if IE 8 ]><html lang="en-us" class="ie8"> <![endif]-->
<!--[if (gt IE 7)|!(IE)]><!-->
<html lang="en-us"><!--<![endif]-->
<head>
	<meta charset="utf-8">
	
	<title>Livrare cu Cargus</title>

	<meta name="author" content="MTWFVL">
	<meta name="copyright" content="MTWFVL">
	<meta name="generator" content="Documenter v2.0 http://rxa.li/documenter">
	<link rel='stylesheet'  href='http://fonts.googleapis.com/css?family=Roboto:100,100italic,300,300italic,regular,italic,500,500italic,700,700italic,900,900italic,vietnamese,greek,latin-ext,greek-ext,cyrillic-ext,latin,cyrillic' type='text/css' media='all' />
    <!-- <link rel="shortcut icon" href="assets/images/favicon.png"> -->

	<link rel="stylesheet" href="assets/css/documenter_style.css" media="all">
	<link rel="stylesheet" href="assets/css/bootstrap.min.css" media="all">
	<link rel="stylesheet" href="assets/css/monokai_sublime.css" media="all">
	
	<script src="assets/js/jquery.js"></script>
	<script src="assets/js/jquery.scrollTo.js"></script>
	<script src="assets/js/jquery.easing.js"></script>
	<script src="assets/js/highlight.pack.js"></script>
	<script>hljs.initHighlightingOnLoad();</script>
	<script>document.createElement('section');var duration='500',easing='swing';</script>
	<script src="assets/js/script.js"></script>
</head>
<body class="documenter-project-journey-">
	<div id="documenter_sidebar">
		<a href="#documenter_cover" id="documenter_logo">
			<h2>Woocommerce - Livrare cu cargus</h2></a>
		
		<div class="documenter-project-link-">
			<div id="documenter_sidebar_link">
				<p>BY <a id="active" href="https://cargus.ro/">Cargus.ro</a></p>
			</div>
		</div>

		<ul id="documenter_nav">
			<li><a class="current" href="#documenter_covers">Start</a></li>
			<li><a href="#instalare" title="Instalare">Instalare</a></li>
			<li><a href="#setari" title="">Setari</a></li>
			<li><a href="#mod-de-folosire" title="">Mod de folosire</a></li>
			<li><a href="#mod-de-dezvoltare" title="">Mod de dezvoltare</a></li>
		</ul>
	</div>

	<div id="documenter_content">
		<section id="documenter_covers">
			<p>Documentatia pluginului</p>
			<h1>Woocommerce - Livrare cu cargus</h1>
			<hr>
			<p><strong>Livrare cu cargus. </strong>Da posibilitarea utilizarii Cargus ca metoda de transport, gestionarea si crearea de awb-uri pentru comenzile livrate cu Cargus.</p>
			<p><strong>Important!! </strong>Pluginul <b>Cargus</b> vine ca un rebranding pentru pluginul deja existent <b>UrgentCargus</b>. Inaintea instalarii pluginului Cargus, daca pe site este prezent pluginul UrgentCargus, acesta trebuie dezinstalat intai si abia dupa se poate instala, activa si configura pluginul Cargus!</p>
		</section>

		<section id="instalare">
			<div class="page-header2">
				<h3>Instalarea modulului.</h3>	
			</div>
			<div class="page-header2"><h4>A. Abonarea la API</h4></div>
			<p>Generarea cheii API se obtine urmand pasii de mai jos:</p>
			<ul>
				<li>Se acceseaza link-ul: <a href="https://urgentcargus.developer.azure-api.net/" target="_blank">https://urgentcargus.developer.azure-api.net/</a></li>
				<li>Se creaza contul apasand pe <strong>SIGN UP</strong></li>
				<img src="assets/images/urgentCargus-developer-portal.jpg" alt="">
				<li>Se completeaza rubricile solicitate si se apasa butonul <strong>Sign up</strong></li>
				<img src="assets/images/urgentCargus-developer-porta-sign-up.jpg" alt="">
				<li>Se afiseaza confirmarea trimiterii email-ului</li>
				<li>Se verifica email-ul si se face click pe link-ul din email-ul primit de la apimgmtnoreply@mail.windowsazure.com</li>
				<li>Link-ul din e-mail va deschide portalul Microsoft Azure (in modul logat) unde se va face click pe Products</li>
				<img src="assets/images/products-api.png" alt="">
				<li>In sectiunea Products, se face click pe UrgentOnlineAPI</li>
				<img src="assets/images/products-api-1.png" alt="">
				<li>Se apasa butonul <strong>Subscribe</strong> pentru inregistrarea la API-ul Cargus, StandardUrgentCargusAPI</li>
				<li>Se confirma subscriptia prin apasarea Confirm</li>
				<li>Se afiseaza confirmarea trimiterii subscriptiei, catre Cargus SRL, in vederea aprobarii sale de catre un administrator. De asemenea, se trimite un e-mail de confirmare</li>
				<li>Se primeste email-ul de confirmare</li>
				<li>Se acceseaza, din nou, rubrica PRODUCTS, se face click pe UrgentOnlineAPI si pe API-ul pentru care s-a aprobat subscripti</li>
				<img src="assets/images/products-api-2.png" alt="">
				<li>Din subscriptia aprobata, se copiaza Primary Key, care se va utiliza in platforma WooCommerce si se va trimite catre Cargus SRL (ecom@cargus.ro) in vederea asocierii cu userul.</li>
				<img src="assets/images/products-api-3.png" alt="">
				
			</ul>

			<div class="page-header2"><h4>B. Instalarea modulului</h4></div>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Module &gt; Adauga Modul</strong></li>
				<li>Dati click pe butonul "Incarca modulul" si selectati<strong>cargus.zip</strong></li>
				<li>Apasati pe <strong>Instaleaza acum</strong></li>
				<li>Apasai pe <strong>Activeaza</strong></li>
			</ul>
		</section>

		<section id="setari">
			<div class="page-header2"><h3>Configurarea modulului</h3></div>
			<p>Dupa urmarea pasilor de mai sus privind instalarea modului si pregatirea cheilor api. In sectiunea <strong>Woocommerce  &gt; Livrare</strong> vor aprea doua noi subsectiuni: </p>
			<ul>
				<li><a class="current" href="#livrare-cu-cargus">Livrare cu cargus</a></li>
				<li><a class="current" href="#cargus-ship-and-go">Cargus Ship & Go</a></li>
			</ul>

			<div id="livrare-cu-cargus" class="page-header2"><h4>Livrare cu Cargus</h4></div>
			<p>In acest pannel vor fi setarile principale pentru configurarea modulului Cargus.</p>
			<img src="assets/images/Setari-standard.png" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>URL Webservice: url-ul serviciului web cargus folosit: <b>https://urgentcargus.azure-api.net/api</b></li>
				<li>API Key: cheia api generata pe <b><a href="https://urgentcargus.developer.azure-api.net/" target="_blank">https://urgentcargus.developer.azure-api.net/</a></b></li>
				<li>Nume utilizator: nume utilizator aplicatie Cargus <a href="https://app.urgentcargus.ro/">https://app.urgentcargus.ro/</a></li>
				<li>Parola: parola aplicatie Cargus <a href="https://app.urgentcargus.ro/">https://app.urgentcargus.ro/</a></li>
			</ul>

			<p>Dupa ce se introduc adresa api-ului (URL Webservice: https://urgentcargus.azureapi.net/api), cheia, userul si parola si se salveaza setarile vor aparea campurile:</p>
			<img src="assets/images/cargus-settings-full.jpg" alt="">
			<ul>
				<li>Punct de ridicare: se alege unul din punctele de ridicare dispnibile. Daca nu exista niciun punct de ridicare disponibil, trebuie adaugat unul din WebExpress</li>
				<li>Plan tarifar: se alege tariful dorit aferent contractului incheiat cu firma de curierat Cargus SRL</li>
				<li>Asigurare expeditie: se alege daca livrarea se face cu asigurare sau fara</li>
				<li>Livrare sambata: se alege daca este permisa livrarea in zilele de sambata</li>
				<li>Livrare dimineata: se alge daca este utilizat serviciul livrare matinala</li>
				<li>Deschidere colet: se alege daca este utilizat serviciul deschidere colet</li>
				<li>Mod incasare ramburs: se alege tipul rambursului - Numerar sau Cont Colector</li>
				<li>Platitor expeditie: se alege platitorul costului de livrare - Expeditorul sau Destinatarul</li>
				<li>Tip expeditie: se alege tipul de expeditie uzuala - Colet sau Plic</li>
				<li>Plafon transport gratuit: se introduce limita pentru care cumparaturile mai mari de suma introdusa beneficiaza de transport gratuit (plata transportului se face automat la expeditor) sau se lasa necompletat</li>
				<li>Cost fix transport: se alege un cost fix de livrare sau se lasa necompletat, pentru ca modulul sa calculeze automat tariful.</li>
				<li>Tva inclus în costul de transport calculat: daca campul de mai sus, si anume "Cost fix transport" este gol, atunci acest camp va fi vizibil, el stabileste daca costul de transport calculat va contine si taxa TVA.</li>
				<li>Cost fix transport Bucuresti: se alege un cost fix de livrare pentru Bucuresti sau se lasa necompletat, pentru ca modulul sa foloseasca valoarea de la Cost fix transport sau sa calculeze automat tariful daca nici acesta nu este completat.</li>
				<li>Activeaza costul de transport pe baza greutatii: da posibilitatea setarii unor praguri maxime de greutate pentru un anumit cost de transport. De ex: pentru greutatea de maxim 10 kg costul de transport va fi 15 RON, pentru maxim 20 kg, costul de transport va fi 30 RON, si asa mai departe.</li>
				<li>Inaltime: se introduce inaltimea coletului (in cm)</li>
				<li>Latime: se introduce latime coletului (in cm)</li>
				<li>Lungime: se introduce lungime coletului (in cm)</li>
				<li>Id Serviciu: se poate alege tipul de serviciu oferit de Cargus - 1 Standard, 34 Economic Standar sau 39 Multipiece</li>
				<li>Email banner Cargus: daca se bifeaza acest checkbox, va fi afisat un banner cargus in email-ul de confirmare trimis clientuli dupa efectuarea comenzii.</li>
				<li>Camp oras dropdown: daca se bifeaza acest checkbox, pe pagina de finalizare a comenzii, campul pentru localitate va fi transformat intr-un camp de tip select dropdown unde vor fi listate localitatile din judetul selectat mai sus. </li>
				<li>Camp Strada si camp Numar: daca se bifeaza acest checkbox, pe pagina de finalizare a comenzii vor mai aparea doua campuri, Strada si Numar, pentru sectiunea de shipping si pentru sectiunea de billing. Campul de Strada va fi de tip Select 2 inteligent, unde daca se completeaza cu minim 3 litere din numele unei strazi, el returneaza sugestii. Dupa ce se completeaza si campul Numar, codul postal va fi completat si el in mod automat. ATENTIE: Daca folositi un modul de customizare a checkout-ului, cele 2 campuri trebuie adaugate si in interfata acelui modul: billing_street, billing_street_number, shipping_street, shipping_street_number.</li>
				<li>Retur cumparator: - optiunea "nu" nu ne afiseaza niciunde niciun cod de retur - optiunea "cod retur" va afisa codul de retur in sectiune Comenzile mele din contul clientului - optiunea "Pre-tiparit" va afisa codul retun in AWB-ul printat</li>
				<li>Validitate AWB: se poate seta numar de zile valabilitate pentru wp-ul de retur</li>
				<li>Printare AWB retur: se poate seta modul in care sa fie tiparit awb-ul de retur</li>
				<li>Descriere conținut pachet: se poate selecta modul de afisare a continutului pachetului afisat pe awb - Titlu produse sau SKU sau Titlu produse + SKU</li>
				<li>Format printare AWB: se poate selecta formatul de printare al AWB-ului - A4 sau Laberl 10x14</li>
				<li>Printare AWB principal in dublu exemplar: daca se selecteaza acest checkbox, awb-ul principal se va printa in dublu exemplar</li>
				<li>Status comanda dupa genereare AWB: putem selecta ce status va avea comnda dupa ce se va genera noul AWB-ul</li>
				<li>Status comanda dupa stergere AWB: putem selecta ce status va avea comnda dupa ce se va sterge AWB-ul</li>
				<li>Depanare modul: daca se selecteaza acest checkbox se va crea un fisier error log in folderul /wp-content numit cargus-debug.log</li>
			</ul>

			<div id="cargus-ship-and-go" class="page-header2"><h4>Cargus Ship&Go</h4></div>
			<p>In acest pannel vor fi setarile pentru configurarea metodei de transport Cargus Ship&Go.</p>
			<img src="assets/images/ship-and-go-settings.jpg" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>Cost fix transport: se alege un cost fix de livrare sau se lasa necompletat, pentru ca modulul sa calculeze automat tariful metodei de transport Cargus Ship&Go.</li>
			</ul>

			<div id="cargus-saturday" class="page-header2"><h4>Cargus Saturday</h4></div>
			<p>In acest pannel vor fi setarile pentru configurarea metodei de transport Cargus Saturday. Aceasta metoda de transport presupune livrarea coletelor si sambata in localitatile unde este posibil acest lucru.</p>
			<img src="assets/images/cargus-saturday-settings.jpg" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>Cost fix transport: se alege un cost fix de livrare sau se lasa necompletat, pentru ca modulul sa calculeze automat tariful metodei de transport Cargus Ship&Go.</li>
			</ul>

			<div id="cargus-pre10" class="page-header2"><h4>Cargus Pre10</h4></div>
			<p>In acest pannel vor fi setarile pentru configurarea metodei de transport Cargus Pre10. Aceasta metoda de transport presupune livrarea coletelor si de luni pana vineri inaintea orei 10:00 in localitatile unde este posibil acest lucru.</p>
			<img src="assets/images/cargus-pre10-settings.jpg" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>Cost fix transport: se alege un cost fix de livrare sau se lasa necompletat, pentru ca modulul sa calculeze automat tariful metodei de transport Cargus Ship&Go.</li>
			</ul>

			<div id="cargus-pre12" class="page-header2"><h4>Cargus Pre12</h4></div>
			<p>In acest pannel vor fi setarile pentru configurarea metodei de transport Cargus Pre12. Aceasta metoda de transport presupune livrarea coletelor si de luni pana vineri inaintea orei 12:00 in localitatile unde este posibil acest lucru.</p>
			<img src="assets/images/cargus-pre12-settings.jpg" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>Cost fix transport: se alege un cost fix de livrare sau se lasa necompletat, pentru ca modulul sa calculeze automat tariful metodei de transport Cargus Ship&Go.</li>
			</ul>

			<div id="cargus-export" class="page-header2"><h4>Cargus Export</h4></div>
			<p>In acest pannel vor fi setarile pentru configurarea metodei de transport Cargus Export. Aceasta metoda de transport presupune livrarea coletelor in afara Romaniei, disponibila momentan pentru Bulgaria si Grecia.</p>
			<img src="assets/images/cargus-export-settings.jpg" alt="">
			<ul>
				<li>Titlu: Titlul metodei de livrare afisat in Cos/Checkout</li>
				<li>URL Webservice: url-ul serviciului web cargus folosit: <b>https://urgentcargus.azure-api.net/v4/api</b></li>
				<li>API Key: cheia api generata pe <b><a href="https://urgentcargus.developer.azure-api.net/" target="_blank">https://urgentcargus.developer.azure-api.net/</a></b></li>
				<li>Nume utilizator: nume utilizator aplicatie Cargus <a href="https://app.urgentcargus.ro/">https://app.urgentcargus.ro/</a></li>
				<li>Parola: parola aplicatie Cargus <a href="https://app.urgentcargus.ro/">https://app.urgentcargus.ro/</a></li>
				<li>Nomenclator: activarea acestui checkbox produce activarea nomenclatorului de localitati pentru Bulgaria</li>
				<li>Cost fix transport Bulgaria: ATENTIE: acesta este un camp obligatoriu. In acest camp se va seta costul de transport pentru coletele livrate in Bulgaria. Costul va fi setat doar in moneda BGN! Pluginul cargus nu poate face conversii monetare!</li>
				<li>Cost fix transport Grecia: ATENTIE: acesta este un camp obligatoriu. In acest camp se va seta costul de transport pentru coletele livrate in Grecia. Costul va fi setat doar in moneda EUR! Pluginul cargus nu poate face conversii monetare!</li>
			</ul>
			
		</section>

		<section id="mod-de-folosire">
			<div class="page-header2"><h3>Mod de utilizare</h3></div>
			<p>Cu ajutorul pluginului Cargus, utilizatorii pot folosi metodele de livrare Cargus: <b>Livrare la domiciliu</b> si <b>Cargus Ship & Go</b>. Acestia pot genera, printa sau sterge awb-urile pentru comenzile plasatate pe site, care folosesc ca metoda de livrare Cargus.</b>
			Primul las penstu a putea folosit metodele de transport Cargus si Cargus Ship&Go este adaugarea celor doua metode de tranport intr-o zona de livrare.</p>
			<img src="assets/images/shipping-zones-part-1.jpg" alt="">
			<br>
			<img src="assets/images/shipping-zones-part-2.jpg" alt="">
			<p>Dup adaugarea metodelor de tranport Cargus, acestea vor fi vizibile in pagina de Cos si pagina de Checkout.</p>
			<img src="assets/images/cargus-checkout-shipping-methods.png" alt="">
			<p>Odata cu activarea metodei de tranport Cargus Ship&Go se activeaza automat si o noua metoda de plata: <b>Ramburs la Ship&Go</b>. Aceasta metoda de plata este activa numai dupa selectarea metodei de transport Cargus Ship&Go.</p>
			<img src="assets/images/cargus-payment-method.png" alt="">
			
			<div class="page-header2">
				<h4>Creare AWB.</h4>	
				<p>Awb-ul poate fi creat doar pentru comenzi care folosesc ca metoda de transport una din metode de livrare Cargus( livrare la domiciliu, Ship&Go, Cargus Saturday, Cargus Pre10, Cargus pre12, Cargus Export )</p>
			</div>
			<p><b>Creare AWB pentru o singura comanda.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Dati click pe comanda pentru care vreti sa fie generat un nou AWB.</li>
				<li>Dati click pe <strong>Cargus Genereaza AWB</strong> din seciunea Cargus Shipping.</li>
				<img src="assets/images/cargus-create-awb-action.jpg" alt="">
				<li>Apoi va trebui sa apara Numarul Expeditiei Cargus (AWB) intr-o nota pe comanda in partea din dreapta.</li>
				<img src="assets/images/cargus-generate-awb-note.png" alt="">
			</ul>

			<p><b>Creare AWB pentru o mai multe comenzi deodata.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Bifati comenzile pentru care vreti sa generati AWB-uri.</li>
				<li>Alegeti <strong>Cargus Genereaza AWB</strong> din lista Actiuni in masa.</li>
				<img src="assets/images/cargus-bulk-generate-awb-action.png" alt="">
				<li>Apasai pe butonul <strong>Aplica</strong>.</li>
				<li>Apoi va trebui sa apara Numarul Expeditiilo Cargus (AWB) create si id-ul comenzilor pentru care s-a creat o expeditie intr-o nota in partea de sus.</li>
				<img src="assets/images/cargus-bulk-generate-awb-notice.png" alt="">
			</ul>

			<div class="page-header2">
				<h4>Printare AWB.</h4>	
				<p>Awb-ul poate fi printat doar pentru comenzi pentru care a fost deja generat un AWB.</p>
			</div>
			<p><b>Printare AWB pentru o singura comanda.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Dati click pe comanda pentru care vreti sa fie printat AWB-ul.</li>
				<li>Dati click pe <strong>Cargus Printeaza AWB</strong> din seciunea Cargus Shipping.</li>				
				<img src="assets/images/cargus-print-action.jpg" alt="">
				<li>Apoi va trebui sa apara un window nou de unde se poate printa AWB-ul.</li>
				<img src="assets/images/cargus-print-window.png" alt="">
			</ul>

			<p><b>Printare AWB pentru o mai multe comenzi deodata.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Bifati comenzile pentru care vreti sa generati AWB-uri.</li>
				<li>Alegeti <strong>Cargus Printeaza AWB</strong> din lista Actiuni in masa.</li>
				<li>Apasai pe butonul <strong>Aplica</strong>.</li>
				<li>Apoi va trebui sa apara o nota in partea de sus care va contine link-ul necesar pentru a putea printa AWB-urile.</li>
				<img src="assets/images/cargus-bulk-print-awb-notice.png" alt="">
				<li>Accesati link-ul prezent in nota.</li>
				<img src="assets/images/cargus-awb-print-window-bulk.png" alt="">
			</ul>

			<div class="page-header2">
				<h4>Stergere AWB.</h4>	
				<p>Awb-ul poate fi sters doar pentru comenzi pentru care a fost deja generat un AWB. In urma acestei actiuni daca a fost generat un AWB anterior, acesta va vi sters iar pe comanda respectiva va aparea o nota indicand asta.</p>
			</div>
			<p><b>Stergere AWB pentru o singura comanda.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Dati click pe comanda pentru care vreti sa fie printat AWB-ul.</li>
				<li>Dati click pe butonul <strong>Sterge AWB</strong> din seciunea Cargus Shipping.</li>
				<li>Apoi va trebui sa apara o nota in partea din dreapta care va indica faptul ca awb-ul a fost sters.</li>
			</ul>

			<p><b>Stergere AWB pentru mai multe comenzi deodata.</b></p>
			<ul>
				<li>Autentificati-va in panoul de admin WordPress</li>
				<li>Mergeti la <strong>Woocommerce &gt; Comenzi</strong></li>
				<li>Bifati comenzile pentru care vreti sa generati AWB-uri.</li>
				<li>Alegeti <strong>Cargus Sterge AWB</strong> din lista Actiuni in masa.</li>
				<li>Apasai pe butonul <strong>Aplica</strong>.</li>
				<li>Apoi va trebui sa apara Numarul Expeditiilo Cargus (AWB) sterse si id-ul comenzilor pentru care a fost anulata expeditia intr-o nota in partea de sus.</li>
				<img src="assets/images/cargus-bulk-delete-awb-notice.png" alt="">
				
			</ul>

			<div class="page-header2">
				<h4>Modificare parametri comanda comanda.</h4>	
			</div>
			<p>Unele atributea ale comenzii care au legatura cu livrarea pot fi modificate din sectiunea <b>Detalii AWB.</b> Aceasta sectiune se poate gasi in partea de jos a paginii de editarea a unei comenzi woocommerce.<br>In functie de Serviciul Cargus folosit (1 Standard, 34 Economic Standard, 39 Multipiece) pot fi editate urmatoarele campuri:</p>
			<ul>
				<li>Deschidere Colet: Activeaza sau dezactiveaza deschiderea coletului la livrare. Este dezactivat la transportul cu Cargus Ship&Go.</li>
				<li>Valoare Ramburs: Valoare Ramburs pe care clientul trebuie sa o plateasca la primirea coletului.</li>
				<li>Greutate Comanda: Greutatea comenzii in Kg. Campul este afisat doar cand este folosit Serviciul 1 Standard.</li>
				<li>Colete Comanda: Cand este selectat Serviciul 34 Economic Standard sau 39 Multipiece, sunt disponibile urmatoarele campuri individuale pentru fiecare colet. Comanda se poate imparti pe mai multe colete.
					<ul>
						<li>Greutate colet: Greutatea coletului in Kg.</li>
						<li>Latime colet: Latimea coletului in Cm.</li>
						<li>Lungime colet: Lungimea coletului in Cm.</li>
						<li>Inaltime colet: Inaltimea coletului in Cm.</li>
						<li>Continut colet: Sunt selectate produsele continute in colet.</li>
					</ul>
				</li>
			</ul>

			<p>Toate campurile de mai sus vin precompletate cu valorile comenzii. Apasand butonul <b>Adauga colet</b> se poate adauga inca un colet comenzii, acesta poate contine doar produse existente deja in comanda. Butonul <b>Elimina Colet</b> poate elimina un colet numai in cazul in care acesta nu este singurl colet al comenzii.</p>
			<img src="assets/images/edit-order.png" alt="">

			<p>Dupa ce ati efectuat toate modificarile necesare acestea trebuie salvate inaintea generarii awb-ului. Puteti face acest lucru apasand pe butonul "Actualizeaza" din partea de jos a sectiunii "Detalii AWB".</p>

		</section>

		<section id="mod-de-dezvoltare">
			<div class="page-header2"><h3>Mod de dezvoltare</h3></div>
			<p>Structura pluginului cargus este una destul de usor de modificat si dezvoltat de catre developeri, aceasta folosinduse in mare parte de hook-uri. <br>
				Exista doua clase principale:
			</p>

			<ul>
				<li>Cargus_Admin - se ocupa de toate functionalitatile pluginului care sunt admin.</li>
				<li>Cargus_Public - se ocupa de toate funtionalitatile pluginului care afiseaza orice fel de continut in front end.</li>
			</ul>

			<p>Daca se vrea dezactivarea oricarei metode a vreunei dintre aceste clase putem folosi metoda urmatoare, pe care o putem pune in functions.php a temei child daca aceasta exista. Folosind functia <code>remove_action</code> ne folosim de hook-ul folosit pentru a inregistra actiunea in primul rand, apoi, urmatorul parametru va fi un array compus din numele clasei al carei apartine metoda si numele metodei propriu-zise. <br> <b>Exemplu:</b></p>
			<pre>
add_action( 'admin_init', 'remove_admin_funtion', 20 );
function remove_admin_funtion() {
	if ( class_exists( "Cargus_Admin" ) ) {
		remove_action( 'admin_init', array( 'Cargus_Admin', 'cargus_order_admin_add_metabox' ) );
	}
}</pre>
			<p>Toate hook-urile folosite pentru a inregistra fiecare actiune se pot gasi in clasa <code>Cargus</code> localizata in <code>/wp-content/plugins/cargus/includes/class-cargus.php</code></p>

			<div class="page-header2">
				<h4>Cargus_Admin</h4>	
			</div>
			<p>Lista hook-uri disponibile pentru extinderea functionalitatilor admin pluginului:</p>
			<p><b>cargus_update_order_meta_before_checkout</b></p>
			<ul>
				<li><i>Descriere</i>: salveaza extra metdadata pe comanda la plasarea acesteia</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$order - obiectul order
						</li>
						<li>
							$data - array cu date trimise din checkout
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
add_action( 'cargus_update_order_meta_before_checkout', 'add_custom_metadata', 20 );
function add_custom_metadata( $order, $data ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		$order->update_meta_data( '_test_order_metadata', $data['test'] );
	}
}</pre>
				</li>
				<li><i>Observatii</i>: $data['test'] din exemplul de mai sus poate fi folosit doar daca in checkout exista campul cu atributul <code>name="test"</code>.</li>
			</ul>
			
			<p><b>cargus_before_create_awb</b></p>
			<ul>
				<li><i>Descriere</i>: permite modificarea modului in care se creaza awb, se pot adauga conditii, etc</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$order_id - id-ul comenzii
						</li>
						<li>
							$cargus - obiectul cargus, contine datele necesare setarilor cargus
						</li>
						<li>
							$fields - array, contine campurile trimise pentru a genera awb
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
add_action( 'cargus_before_create_awb', 'modify_create_awb', 10 );
function modify_create_awb( $order_id, $cargus, fields ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		if ( get_post_meta( $order_id, '_test_order_metadata',true ) === 'on' ) {
			$fields['SaturdayDelivery'] = false;
		}
	}

	return $fields;
}</pre>
				</li>
				<li><i>Observatii</i>: '_test_order_metadata' din exemplul de mai sus poate fi folosit doar daca in comanda are metadata numita <code>_test_order_metadata</code>.</li>
			</ul>
			<ul>

			<p><b>cargus_before_delete_awb</b></p>
			<ul>
				<li><i>Descriere</i>: permite modificarea modului in care se sterge un awb, se pot adauga conditii, etc</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$order_id - id-ul comenzii
						</li>
						<li>
							$order - obiectul order, contine toate proprietatile comenzii
						</li>
						<li>
							$cargus - obiectul cargus, contine datele necesare setarilor cargus
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
add_action( 'cargus_before_delete_awb', 'modify_delete_awb', 10 );
function modify_delete_awb( $order_id, $order, $cargus ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		$order->update_meta_data( '_awb_deleted', true );
	}
}</pre>
				</li>
			</ul>

			<p><b>cargus_after_print_awb</b></p>
			<ul>
				<li><i>Descriere</i>: permite alterarea rezultatului printarii awb-ului etc</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$awbs_to_print - array, contine awb-urile de printat
						</li>
						<li>
							$result - string, contine printul awb-ului
						</li>
						<li>
							$cargus - obiectul cargus api, contine datele necesare setarilor cargus
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
add_action( 'cargus_after_print_awb', 'modify_print_awb', 10 );
function modify_print_awb( $awbs_to_print, $cargus ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		// scrie cod aici.
	}
}</pre>
				</li>
			</ul>
			<ul>

			<p><b>cargus_add_bulk_order_actions</b></p>
			<ul>
				<li><i>Descriere</i>: permite adaugarea de noi optiuni sau stergerea de optiuni din dropdown-ul bulk actions pentru comenzi.</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$actions - array, contine actiunile prezente in dropdown-ul bulk actions pentru comenzi
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
// intai adaugam optiunea noua in dropdown.
add_action( 'cargus_add_bulk_order_actions', 'modify_order_bulk_actions', 10 );
function modify_order_bulk_actions( actions ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		$actions['cargus_new_option']    = __( 'Cargus Optiune noua', 'cargus' );
	}
}

// apoi spunem ce sa faca cand este selectata optiunea noua.
add_action( 'handle_bulk_actions-edit-shop_order', cargus_new_bulk_order_option, 10, 3 );
function cargus_new_bulk_order_option( $redirect_to, $action, $order_ids ) {
	if ( $action !== 'cargus_new_option' )
		return $redirect_to; // Exit

	$processed_ids = array();
	
	foreach ( $order_ids as $order_id ) {
		// scrie cod aici.
		$processed_ids[] = $order_id;
	}

	return $redirect_to = add_query_arg( array(
		'cargus_new_attribute' => '1',
		'processed_count'      => count( $processed_ids ),
		'processed_ids'        => implode( ',', $processed_ids ),
	), admin_url('edit.php?post_type=shop_order') );
}

// apoi spunem ce sa notice sa apara dupa ce este selectata optiunea noua.
function cargus_generate_awb_bulk_notice() {
	if ( empty( $_REQUEST['cargus_new_attribute'] ) ) return; // Exit

	$count = intval( $_REQUEST['processed_count'] );
	$order_ids = $_REQUEST['processed_ids'];

	printf( '&lt;div class="notice notice-success is-dismissible"&gt;&lt;p&gt;' .
		_n( 'Nota noua pentru %s comanda: ',
		'Au fost generate awb-uri pentru %s comenzi: ',
		$count,
		'cargus'
	) . $order_ids . '.&lt;/p&gt;&lt;/div&gt;', $count );
}</pre>
				</li>
			</ul>
			<ul>

			<p><b>cargus_add_order_actions</b></p>
			<ul>
				<li><i>Descriere</i>: permite adaugarea de noi optiuni sau stergerea de optiuni din dropdown-ul de actions pentru comanda.</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$actions - array, contine actiunile prezente in dropdown-ul de actions pentru comanda
						</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
// intai adaugam optiunea noua in dropdown.
add_action( 'cargus_add_order_actions', 'modify_order_actions', 10 );
function modify_order_actions( actions ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		$actions['cargus_new_option']    = __( 'Cargus Optiune noua', 'cargus' );
	}
}

// apoi spunem ce sa faca cand este selectata optiunea noua.
add_action( 'woocommerce_order_action_cargus_new_option', cargus_new_order_action, 10, 1 );
function cargus_new_order_action( $order ) {
	$order_id = $order->get_id();
	// scrie cod aici.
}</pre>
				</li>
			</ul>
			<ul>

			<p><b>cargus_before_add_metabox</b></p>
			<ul>
				<li><i>Descriere</i>: permite adaugare de noi campuri/stergerea de campuri custom din pagina de editare a comenzii sectiunea <b>Detalii AWB</b></li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$args_form - array, contine datele trimise prentru a creea metabox-ul Detalii AWB
						</li>
						<li>
							$cargus - obiectul cargus, contine datele necesare setarilor cargus
						</li>
					</ul>
				</li>
				<li><i>Atribute campuri</i>:
					<ul>
						<li>name - numele campului</li>
						<li>label - eticheta campului</li>
						<li>type - tipul campulu. Poate fi de felul: <ul>
							<li>text</li>
							<li>number</li>
							<li>textarea</li>
							<li>editor</li>
							<li>checkbox</li>
							<li>select</li>
							<li>repeater</li>
						</ul></li>
						<li>desc - decrierea campului</li>
						<li>class - clasa campului</li>
						<li>default - valoare prestabilita a campului</li>
						<li>disabled - daca, campul sa fie dezactivat sau nu</li>
						<li>step - <b>doar pentru campul de tip number.</b> - incremenul campului,</li>
						<li>multiple - <b>doar pentru campul de tip select</b> - daca, campul este multiselect sau nu - valoarea pozitiva este 'multiple'</li>
						<li>fields - <b>doar pentru campul de tip repeater</b> - adaugare de subcampuri.</li>
						<li>add_button_text - <b>doar pentru campul de tip repeater</b> - text pentru buton adaugare set campuri nou.</li>
						<li>remove_button_text - <b>doar pentru campul de tip repeater</b> - text pentru buton stergere set campuri.</li>
					</ul>
				</li>
				<li><i>Exemplu</i>:
					<pre>
add_action( 'cargus_before_add_metabox', 'nodify_detalii_awb_fields', 10 );
function nodify_detalii_awb_fields( $args_form, $cargus ) {
	if ( class_exists( "Cargus_Admin" ) ) {
		// stergere primul camp.
		unset( $args_form['fields'][0] );

		// stergere adaugare camp nou.
		$args_form['fields'][] = array(
			'name'  => 'cargus_livrare_sambata',
			'label' => __( 'Livrare Sâmbăta', 'cargus' ),
			'type'  => 'checkbox',
			'desc'  => __( 'Activează livrarea sâmbăta.', 'cargus' ),
			'class' => 'fb-meta-field',
		);
	}
}</pre>
				</li>
			</ul>

			<p><b>cargus_before_create_awb_fields</b></p>
			<ul>
				<li><i>Descriere</i>: filtru ce permite manipularea campurilor trimise in body-ul resutului api pentru generare AWB.</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$fields - array, toate campurile necesare pentru generarea awb-ului
						</li>
						<li>
							$order_id - int, id-ul comenzii
						</li>
						<li>
							$cargus - Cargus_Api, instanta a clasei Cargus_Api
						</li>
					</ul>
				</li>
			</ul>
			<ul>

			<p><b>cargus_before_add_metabox</b></p>
			<ul>
				<li><i>Descriere</i>: filtru ce permite manipularea campurilor adaugate in pagina Detalii comanda in sectiunea Detalii AWB.</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$args_form - array, toate campurile necesare pentru generarea awb-ului
						</li>
						<li>
							$cargus_options - array, detalii despres setarile cargus
						</li>
					</ul>
				</li>
			</ul>
			<ul>

			<p><b>cargus_before_add_buttons_metabox</b></p>
			<ul>
				<li><i>Descriere</i>: filtru ce permite manipularea butoanelor pentru actiunile Cargus pe pagina de detalii comanda( printare awb, generarea awb, stergere awb ).</li>
				<li><i>Parametri</i>: 
					<ul>
						<li>
							$args_form - array, toate campurile necesare pentru generarea awb-ului
						</li>
						<li>
							$cargus_options - array, detalii despres setarile cargus
						</li>
					</ul>
				</li>
			</ul>
			<ul>
		
			<div class="page-header2">
				<h4>Cargus_Public</h4>
			</div>
				
			<p><b>Buton Ridicare personala</b></p>
			<p>Daca se vrea mutarea pozitiei in pagina a butonului care afiseaza harta Ship&Go este necesara folosirea functia <code>remove_action</code> pentru a deinregistra metoda <code>cargus_display_map_button</code> a clasei Cargus_Public. Iar apoi putem folosi functia <code>add_action</code> pentru a putea afisa butonul in alta locatie din cos sau checkout. <br><b>Exemplu:</b></p>
			<pre>
// mutare locatie buton pagina cart.
add_action( 'wp_loaded', 'cargus_change_ship_and_go_button_position', 20 );
function cargus_change_ship_and_go_button_position() {
	if ( class_exists( "Cargus_Public" ) ) {
		// on cart.
		remove_action( 'woocommerce_cart_totals_before_order_total', array( 'Cargus_Public', 'cargus_display_map_button' ) );
		add_action( '{orice_hook_woocommerce_din_pagina_cart}', array( 'Cargus_Public', 'cargus_display_map_button' ) );


		// on checkout.
		remove_action( 'woocommerce_review_order_before_order_total', array( 'Cargus_Public', 'cargus_display_map_button' ) );
		add_action( '{orice_hook_woocommerce_din_pagina_checkout}', array( 'Cargus_Public', 'cargus_display_map_button' ) );
	}
}</pre>
		<p><b>Harta Ship&Go</b></p>
		<p>Hook-ul folosit pentru a afisa harta ship and go este <code>wp_body_open</code>. Exista pobisibilitatea ca o tema neactualizata sau care customizeaza prea tare pagina de cart sau checkout sa fi eliminata acest hook standard. In acest caz este necesara folosirea functia <code>remove_action</code> pentru a deinregistra metoda <code>cargus_display_map</code> a clasei Cargus_Public. Iar apoi putem folosi functia <code>add_action</code> pentru a putea afisa harta in alta locatie din cos si checkout. <br><b>Exemplu:</b></p>
		<pre>
// mutare locatie buton pagina cart.
add_action( 'wp_loaded', 'cargus_change_ship_and_go_map_position', 20 );
function cargus_change_ship_and_go_map_position() {
	if ( class_exists( "Cargus_Public" ) ) {
		remove_action( 'wp_body_open', array( 'Cargus_Public', 'cargus_display_map' ) );
		// on cart.
		add_action( '{orice_hook_woocommerce_din_pagina_cart}', array( 'Cargus_Public', 'cargus_display_map_button' ) );

		// on checkout.
		add_action( '{orice_hook_woocommerce_din_pagina_checkout}', array( 'Cargus_Public', 'cargus_display_map_button' ) );
	}
}</pre>
			<p><b>Hook-uri folosite in popup-ul hartii Ship&Go:</b></p>
			<ul>
				<li><i>cargus_ship_and_go_before_map</i> - Inaintea hartii Ship&Go</li>
				<li><i>cargus_ship_and_go_after_map</i> - Dupa harta Ship&Go</li>
				<li><i>cargus_ship_and_go_before_proceed_to_checkout</i> - Inaintea butonului Procee to checkout Ship&Go</li>
			</ul>
			
			<p><b>Hook-uri folosite in email-uri:</b></p>
			<ul>
				<li><i>Email detalii comanda</i>: <ul>
					<li><i>cargus_before_email_banner</i> - Inainte de banner</li>
					<li><i>cargus_after_email_banner</i> - Dupa de banner</li>
				</ul></li>
				<li><i>Email detalii comanda <b>plata cu cardul</b></i>: <ul>
					<li><i>cargus_before_email_banner_plata_cu_cardul</i> - Inainte de banner</li>
					<li><i>cargus_after_email_banner_plata_cu_cardul</i> - Dupa de banner</li>
				</ul></li>
				<li><i>Email detalii comanda plata <b>ramburs la ship and go</b></i>: <ul>
					<li><i>cargus_before_ramburs_message</i> - Inainte de mesaj</li>
					<li><i>cargus_after_ramburs_message</i> - Dupa de mesaj</li>
				</ul></li>
				<li>
					<i>Buton Afisare harta Ship&Go</i>
					<li><i>cargus_ship_and_go_map_button</i> - poate manipula html-ul butonului de afisare a hartii</li>
				</li>
			</ul>

			<div class="page-header2">
				<h4>Alte filter folosite in plugin</h4>
				<ul>
					<li><i>Modificare campuri extra metode de livrare - param: $extra_fields    array, contine campurile suplimentare pentru fiecare metoda de transport in parte</i>
						<ul>
							<li>cargus_shipping_method_extra_fields</li>
							<li>cargus_ship_and_go_extra_fields</li>
							<li>cargus_shipping_method_extra_fields</li>
							<li>cargus_pre10_extra_fields</li>
							<li>cargus_pre12_extra_fields</li>
						</ul>
					</li>

					<li><i>Modificare titlu livrare gratuita - param: $title    string, contine titlul '-Gratuit'</i>
						<ul>
							<li>cargus_export_shipping_method_title_free</li>
							<li>cargus_pre10_method_title_free</li>
							<li>cargus_pre12_method_title_free</li>
							<li>cargus_saturday_method_title_free</li>
							<li>cargus_shipping_method_title_free</li>
						</ul>
					</li>

					<li><i>Modificare discount procent - param: $procent    int, contine procentul discount-ului, valoare deault: 0</i>
						<ul>
							<li>cargus_export_add_shipping_discount</li>
							<li>cargus_pre10_add_shipping_discount</li>
							<li>cargus_pre12_add_shipping_discount</li>
							<li>cargus_saturday_add_shipping_discount</li>
							<li>cargus_add_shipping_discount</li>
						</ul>
					</li>
				</ul>
			</div>
		</section>
	</div>

	<script type="text/javascript">
		jQuery("#documenter_nav li a, #documenter_logo").on('click', function(event) {
			if (this.hash !== "") {
			event.preventDefault();
			var hash = this.hash;
			jQuery('html, body').animate({
				scrollTop: jQuery(hash).offset().top
			}, 800, function(){
				window.location.hash = hash;
			});
			} 
		});
	</script>
</body>
</html>